import React from "react";
import { Button } from "../components/Button";
const xIcon =
  "https://firebasestorage.googleapis.com/v0/b/eyes-ichilov.appspot.com/o/Icons%2FGreyX.svg?alt=media&token=fcfa9bbf-a13e-448b-bc3a-5e81054c51cd";
const searchIcon =
  "https://firebasestorage.googleapis.com/v0/b/eyes-ichilov.appspot.com/o/Icons%2FSearchIcon.svg?alt=media&token=f4d75a52-c4ff-440a-9cb8-a07c43cbf915";

  export default {
  title: "components/Button",
  component: Button,
  // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
  argTypes: {},
};

// More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args
const Template = (args) => <Button {...args} />;

export const Normal = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Normal.args = {
  shape: "Normal",
  label: "Button",
};

export const Round = Template.bind({});
Round.args = {
  shape: "Round",
  label: "Button",
  style: {height: "60px", "width": "60px"}
};

export const Prefix = Template.bind({});
Prefix.args = {
  label: "Prefix",
  prefix: xIcon,
};

export const Suffix = Template.bind({});
Suffix.args = {
  label: "Suffix",
  suffix: searchIcon,
};

export const PrefixSuffix = Template.bind({});
PrefixSuffix.args = {
  label: "Button",
  suffix: searchIcon,
  prefix: xIcon,
};
