import React from 'react';

import { SingleStep } from '../components/SingleStep';

export default {
  title: 'components/SingleStep',
  component: SingleStep,
  argTypes: {
    activeColor: { control: 'color' },
    disableColor: { control: 'color' },
  },
};

const Template = (args) => <SingleStep {...args} />;

export const active = Template.bind({});
active.args = {
    ringSize:27,
    ringWidth:2,
    circleSize:15,
    lineLength:60,
};

export const disabled = Template.bind({});

disabled.args = {
    ringSize:27,
    ringWidth:2,
    circleSize:15,
    lineLength:60,
    isLast: true,
};