import React from 'react';

import { StepProgress } from '../components/StepProgress';

export default {
  title: 'components/StepProgress',
  component: StepProgress,
  argTypes: {
  },
};

const Template = (args) => <StepProgress {...args} />;

export const Primary = Template.bind({});
Primary.args = {
  allSteps: [
    {
      actionsType : "firstTimeEntered",
      text:"כניסה ראשונית",
    },
    {
      actionsType : "answerdForm",
      text:"לינק נפתח",
    },
    {
      actionsType : "watchedVideo",
      text:"סרטון נצפה",
    },
  ],
  userActions: [
    {
      "id": 1,
      "userId": 4,
      "type": "answerdForm",
      "value": "2022-09-05 15:06:14.86113+00",
      "createdAt": "2022-09-05T15:06:14.861Z",
      "updatedAt": "2022-09-05T15:06:14.861Z",
      "deletedAt": null
    },
    {
      "id": 2,
      "userId": 4,
      "type": "firstTimeEntered",
      "value": "2022-09-05 15:06:31.988457+00",
      "createdAt": "2022-09-05T15:06:31.988Z",
      "updatedAt": "2022-09-05T15:06:31.988Z",
      "deletedAt": null
    },
  ],
  textMarginTop:"3px",
  textMarginLeft:"5px",
};